 
 
<?php
 
/**
 * File Manager for admin panel, AdminExtplorer.php
 * @category admin
 *
 * @author ramzes_ra <admin@esculap.in>
 * @copyright ramzes_ra
 * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
 * @version 1.3
*/
 
include_once(PS_ADMIN_DIR.'/../classes/AdminTab.php');

 $GLOBALS["dir"] =  __PS_BASE_URI__;
//define ( "_EXT_PATH", './xtplorer' );
define ( "_EXT_URL",'./xtplorer');
 
include( './xtplorer/include/ra_init.php' );
include( './xtplorer/include/ra_functions.php' );
include( './xtplorer/include/ra_list.php' );
include( './xtplorer/include/ra_msg.php' );
//include( './xtplorer/include/application.php' );
include( './xtplorer/include/ra_javascript.php' );
include( './xtplorer/include/ra_form.php' );
 
 class AdminExtplorer extends AdminTab
   {
    public function __construct()
    {//include( './xtplorer/scripts/function.js.php' );
     $GLOBALS["vis"] = array(false,'');
     $this->dir =$GLOBALS["dir"];
     $this->home_dir = __PS_BASE_URI__;
     $this->_dir = array();
     $GLOBALS["msg"] = array(
     $this->l('Delete'),
     $this->l('Permissions'),
     $this->l('Download'),
     $this->l('Go to Dir'),
     $this->l('View'),
     $this->l('Name'),
     $this->l('Directory'),
     $this->l('File'),
     $this->l('Create'),
     $this->l('Create New File/Directory'),
     $this->l('Not files for deletion!'),
     $this->l('Delete it'),
     $this->l('YES'),
     $this->l('NO'),
     $this->l('Failure: '),
     $this->l('Done: '),
     $this->l('Home'),
     $this->l('Refresh'),
     $this->l('View Directory: '),
     $this->l('File/Directory'),
     $this->l('Type'),
     $this->l('Size'),
     $this->l('Cmod'),
     $this->l('Options'),
     $this->l('Not selected files!'));
     
     parent::__construct();
   }
     
     public function display()
    {
     global $currentIndex,$cookie;
     
    // if denwer -------------------------------
     if(!$GLOBALS["dir_abs"])$GLOBALS["dir_abs"] =   get_abs_dir('.');
     //-------------------------------------------------
     // if site --------------------------------------
  ## if(!$GLOBALS["dir_abs"])$GLOBALS["dir_abs"] =    get_abs_dir(dirname(__FILE__).'/../../');
  //----------------------------------------------------  
          _tmp_copy($GLOBALS["dir_abs"]);
      $tplp = '<link type="text/css" rel="stylesheet" href="'._EXT_URL.'/scripts/extjs/css/ext-all.css"
      />
      <link type="text/css" rel="stylesheet" href="'._EXT_URL.'/scripts/extjs/css/xtheme-gray.css" />
      ';
     if($GLOBALS["vis"][0] == true){
      $tplp.= '<div id="virtual">';
      $tplp.= set_action($GLOBALS["vis"]).'</div>';
     }
      $tplp.= '<div id="ext_header"><div style="width:auto;">
      <div class="x-box-tl"><div class="x-box-tr"><div class="x-box-tc"></div></div></div><div
 class="x-box-ml"><div class="x-box-mr"><div class="x-box-mc">
  <table border="0" width="100%" cellspacing="0" cellpadding="5"><tr><td>';
//------------------------------------------------------------------
  $tplp.='<form id = "ListHome"  name="ListHome"
  action="'.$currentIndex.'&token='.$this->token.'" method="post"  >
  ';
  require ( './xtplorer/include/ra_main.php' );
  $tplp.= ra_main();
  $tplp.='<h3 align="center">'.$this->l('View Directory:  ').$GLOBALS["dir_abs"].'</h3><input type="hidden"
  name="Refr" value="'.$GLOBALS["dir_abs"].'"></td></tr></table>';//</form>
//------------------------------------------------------------------
  $tplp.= '
  <div class="x-box-tl"><div class="x-box-tr"><div class="x-box-tc"></div></div></div><div
 class="x-box-ml"><div class="x-box-mr"><div class="x-box-mc">
  <table border="0"  bgcolor="#DADADA" width="100%" cellspacing="1" cellpadding="0"><tr >
  <td width="10px" ><h3></h3></td>
  <td width="150px" align="center"><h3>'.$this->l('File/Dir').'</h3> </td>
  <td width="30px" align="center"><h3>'.$this->l('Type').'</h3></td>
  <td width="80px" align="center"><h3>'.$this->l('Size').'</h3></td>
  <td width="100px"align="center" ><h3>'.$this->l('Cmod').'</h3></td>
  <td width="150px" align="center"><h3>'.$this->l('Options').'</h3></td><div id="ext_header">
  ';
  
  $tplp.= _dir_view($GLOBALS["dir_abs"]);
  $tplp.='</div></div><div class="x-box-bl"><div class="x-box-br"><div
 class="x-box-bc"></div></div></div><div id="ext_footer" style="text-align:center;">
  <img src="'._EXT_URL.'/images/Xtplorer.gif" align="middle" alt="Xtplorer Logo" /><div
 class="x-box-bl"><div class="x-box-br"></div></div></div></div></div></div></div></div><div
 class="x-box-bl"><div class="x-box-br"><div class="x-box-bc"></div>
  ';
  echo $tplp;
  //include( './xtplorer/include/ra_upload.php' );
}
  
  public function postProcess()
 {
  global $currentIndex,$cookie;
//-----------------------------------------
  
//DONE! if click button select directory
 if (isset($_POST['submitDir'])){
  $GLOBALS["dir_abs"]=Tools::getValue('Refr').'/'.Tools::getValue('submitDir');
}
  
//-----------------------------------------
//DONE! if click refresh button
 if (isset($_POST['submitRefresh'])) {
  $GLOBALS["dir_abs"]=  Tools::getValue('Refr');
}
  
//-----------------------------------------
//DONE! if click layer button
 if (isset($_POST['submitLayer'])) {
 	 $layer = Tools::getValue('Refr');
 	   $GLOBALS["dir_abs"]=  layer_up($layer);
  //$GLOBALS["vis"] = array(false,'');
 // echo $GLOBALS["dir_abs"];
}
  
//-----------------------------------------
//DONE! if click delete button
 if (isset($_POST['submitDelete'])){
include( './xtplorer/include/ra_delete.php' );
  $GLOBALS["dir_abs"]=  Tools::getValue('Refr');
}
  
//-----------------------------------------
//DONE! if click download button
 if (isset($_POST['submitDownload'])){
include( './xtplorer/include/ra_down.php' );
  $GLOBALS["dir_abs"]=  Tools::getValue('Refr');
}
  
//-----------------------------------------
// if click upload button
 /*if (isset($_POST['submitUpload'])){
// Tools::getValue('Refr');
  $GLOBALS["dir_abs"]= Tools::getValue('Refr');
 $GLOBALS["vis"] = array(true,"up");


 //set_action('./xtplorer/ra_uploadFile.php' );
//print_r($GLOBALS);
}*/
  
//-----------------------------------------
//DONE! if click filenew button
 if (isset($_POST['submitNew'])||isset($_POST['SubmitNew1']) ){
  if (isset($_POST['submitNew'])) {$GLOBALS["dir_abs"]=  $this->valUp = Tools::getValue('Refr');
//include( './xtplorer/include/ra_form_create.php' );
$GLOBALS["vis"] = array(true,"new");
 }
  else
   {$GLOBALS["dir_abs"]=  Tools::getValue('CrF');
include( './xtplorer/include/ra_filenew.php' );
//$GLOBALS["vis"] = array(false,"");
  }
 }
//----------------------------------------
// if click upload-btnsave button
 /*  if (isset($_POST['btnsave']) ) {
    $GLOBALS["dir_abs"]=  Tools::getValue('Refr');
   include( './xtplorer/include/ra_uploadFile.php' );
    
  }*/
 
 }
}
?>
